umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Settings::CodeImportState Class Reference

`#include <optionstate.h>`

## Public Member Functions
| CodeImportState ()
void | load ()
void | save ()
void | saveToXMI (QXmlStreamWriter &writer)
bool | loadFromXMI (QDomElement &element)

## Public Attributes
bool | createArtifacts
bool | resolveDependencies
bool | supportCPP11

## Constructor & Destructor Documentation

## ◆ CodeImportState()

Settings::CodeImportState::CodeImportState | ( |  | ) |
| inline

## Member Function Documentation

## ◆ load()

void Settings::CodeImportState::load | ( |  | ) |

## ◆ loadFromXMI()

bool Settings::CodeImportState::loadFromXMI | ( | QDomElement & | element | ) |

Load instance from a QDomElement.

Parameters

  element | A QDomElement representing xml element data.

Returns
  true on success
  false on error

## ◆ save()

void Settings::CodeImportState::save | ( |  | ) |

## ◆ saveToXMI()

void Settings::CodeImportState::saveToXMI | ( | QXmlStreamWriter & | writer | ) |

Save instance to XMI.

Parameters

  writer | The QXmlStreamWriter to save to.

## Member Data Documentation

## ◆ createArtifacts

bool Settings::CodeImportState::createArtifacts

## ◆ resolveDependencies

bool Settings::CodeImportState::resolveDependencies

## ◆ supportCPP11

bool Settings::CodeImportState::supportCPP11

The documentation for this class was generated from the following files:

- umbrello/optionstate.h
- umbrello/optionstate.cpp